Get an SDK

View as Markdown
Returns information about the SDK, including the current build job status.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

sdkIdstringRequired
The SDK's ID.

Response

Successful Response
idstring
The SDK's ID.
languageenum
The target output language for the generated SDK.
sourceobject
The collection or specification that the SDK is generated from.
workspaceIdstring
The ID of the workspace that owns the SDK, derived from the source entity.
buildStatusenum

The SDK’s build lifecycle:

  • queued — Accepted but not yet started.
  • in_progress — The SDK generation is running and in progress.
  • succeeded — The archive is built and available for download.
  • failed — The SDK generation failed. For information, check the error response.
createdAtdatetime
The date and time at which the SDK was created.
updatedAtdatetime
The date and time at which the SDK was last updated.
versionstring

The generated SDK’s semantic version ID. This value is automatically assigned by the release/changelog pipeline.

errorobject

Information about the SDK build’s status when buildStatus is failed.

pullRequestobject

If the SDK was shipped (or proposed for shipping) through a Git connection, this is a compact representation of the pull request that shipped it. Otherwise, this returns a null value.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error